%global pypi_name PyQt-builder
%global srcname PyQt-builder

Summary:        The PEP 517 compliant PyQt build system
Name:           %{srcname}
Version:        1.15.1
Release:        4%{?dist}
License:        GPLv2 or GPLv3
URL:            https://www.riverbankcomputing.com/software/pyqt/
Source0:        %{pypi_source}

BuildRequires:  python3-devel
BuildArch:      noarch

%description
PyQt-builder is the PEP 517 compliant build system for PyQt and projects that extend PyQt.
It extends the sip build system and uses Qt's qmake to perform the actual compilation and
installation of extension modules.Projects that use PyQt-builder provide an appropriate
pyproject.toml file and an optional project.py.

%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
rm -rf %{buildroot}/%{python3_sitelib}/pyqtbuild/bundle/dlls

%check

%files
%license LICENSE-GPL2
%license LICENSE-GPL3
%{_bindir}/pyqt-bundle
%{_bindir}/pyqt-qt-wheel
%{python3_sitelib}/pyqtbuild
%{python3_sitelib}/PyQt_builder-%{version}.dist-info

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-4
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-3
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.15.1-2
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Jul 20 2023 Shuo Wang <abushwang@tencent.com> - 1.15.1-1
- init build
